LeipzigLanguageSampleStream (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.formats.leipzig

## Class LeipzigLanguageSampleStream

- java.lang.Object
- - opennlp.tools.formats.leipzig.LeipzigLanguageSampleStream

- All Implemented Interfaces:
    AutoCloseable, ObjectStream<LanguageSample>

      public class LeipzigLanguageSampleStream
      extends Object
      implements ObjectStream<LanguageSample>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LeipzigLanguageSampleStream(File leipzigFolder, int sentencesPerSample, int samplesPerLanguage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LanguageSample` | `read()` Returns the next object.
    `void` | `reset()` Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.util.ObjectStream

      `close`

- - ### Constructor Detail

    - #### LeipzigLanguageSampleStream

          public LeipzigLanguageSampleStream(File leipzigFolder,
                                             int sentencesPerSample,
                                             int samplesPerLanguage)
                                      throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### read

          public LanguageSample read()
                              throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Specified by:
        `read` in interface `ObjectStream<LanguageSample>`
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

    - #### reset

          public void reset()
                     throws IOException

      Description copied from interface: `ObjectStream`
      Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required. The implementation of this method is optional.
      Specified by:
        `reset` in interface `ObjectStream<LanguageSample>`
      Throws:
        `IOException` - if there is an error during reseting the stream

Copyright © 2026 The Apache Software Foundation. All rights reserved.